close all; clear all;
%input data
num = 2;
%creation of local scheduler object
sched = findResource('scheduler','configuration','local');
%create parallel job
pjob = createParallelJob(sched);
set(pjob, 'FileDependencies', {'hello.m'}); %function times is available for all labs
set(pjob, 'MaximumNumberOfWorkers',num);
set(pjob, 'MinimumNumberOfWorkers',num);

%create task (one task per job only) to be done
createTask(pjob,@hello,1,{});

%submit job to scheduler queue for evaluation
tic;
submit(pjob);

%get results back
waitForState(pjob);
res = getAllOutputArguments(pjob);

%display results
for i = 1:num
    disp(res{i});
end
toc;

%destroy job
destroy(pjob);