close all; clear all;

%input data
num = 5; k = 3; u = rand(1,num.*k); v = rand(1,num.*k);

%creation of local scheduler object
sched = findResource('scheduler','type','local');

%create job
for i = 1:num
    job{i} = createJob(sched);
end

%create tasks to be done
for i = 1:num
    createTask(job{i},@times,1,{u((k.*(i-1)+1):(k.*i)),v((k.*(i-1)+1):(i.*k))});
end
%Here it ist also possible to create several tasks in one job and later
%retrieve the results in an 1xnum cell. The tasks should be
%distributed on several workers, too.

%submit job to scheduler queue for evaluation
tic;
for i = 1:num
    submit(job{i})
end

%get results back
for i = 1:num
    waitForState(job{i});
    res = getAllOutputArguments(job{i})
    result((k.*(i-1)+1):(k.*i)) = res{1};
end

%display results
u
v
result
toc;

%destroy jobs
for i = 1:num
    destroy(job{i});
end