close all; clear all;
%input data
num = 2; k = 10; u = rand(1,k.*num); v = rand(1,k.*num);
%creation of local scheduler object
sched = findResource('scheduler','configuration','local');
%create parallel job
pjob = createParallelJob(sched);
set(pjob, 'FileDependencies', {'mult.m'}); %function times is available for all labs
set(pjob, 'MaximumNumberOfWorkers',num);
set(pjob, 'MinimumNumberOfWorkers',num);

%create task (one task per job only) to be done
createTask(pjob,@mult,1,{u,v,k});

%submit job to scheduler queue for evaluation
tic;
submit(pjob);

%get results back
waitForState(pjob);
res = getAllOutputArguments(pjob);
for i = 1:num
    result((k.*(i-1)+1):(k.*i)) = res{i};
end

%display results
u
v
result
toc;

%destroy job
destroy(pjob);