close all; clear all;

%input data (caution: number of labs should be greater than 2)
num = 2; kom = 6;

%parameters
ex = 10.^(-kom); step = 10.^(-.4.*kom - .5); N = 10.^(kom);

%creation of local scheduler object
sched = findResource('scheduler','configuration','local');

%create parallel job
pjob = createParallelJob(sched);
set(pjob, 'FileDependencies', {'integ.m'}); %function integ is available for all labs
set(pjob, 'MaximumNumberOfWorkers', num);
set(pjob, 'MinimumNumberOfWorkers', num);

%create task (one task per job only) to be done
createTask(pjob, @integ, 1, {ex, step, N});

%submit job to scheduler queue for evaluation
tic;
submit(pjob);

%get results back
waitForState(pjob);
res = getAllOutputArguments(pjob);
result = 0;
for i = 1:num
    result = result + res{i}(1);
end

%display result(s)
disp('exactness:')
disp(ex.*10)
disp('minimal stepsize:')
disp(res{1}(2))
disp('maximal stepsize:')
disp(res{2}(2))
disp('number of processes:')
disp(num)
disp('number of iterations per process:')
disp(res{1}(3))
disp('value of integral:')
disp(result)
toc;

%destroy job
destroy(pjob);