#include <stdio.h>
#include <mpi.h>
#include <malloc.h>

int main(int argc,char** argv){
//Deklaration der Variablen
int rank,size,vectorsize;
int i,j;
FILE* infile;
int* vec1;
int* vec2;
int* resvec;

//MPI initialisieren und size und rank bestimmen
MPI_Init(&argc,&argv);
MPI_Comm_size(MPI_COMM_WORLD,&size);
MPI_Comm_rank(MPI_COMM_WORLD,&rank);

//Eingabedaten einlesen
infile = fopen("vektoren.data","r");
fscanf(infile,"%d\n",&vectorsize);

vec1 = (int*) malloc(sizeof(int)*vectorsize);
vec2 = (int*) malloc(sizeof(int)*vectorsize);
resvec = (int*) malloc(sizeof(int)*vectorsize);

fscanf(infile,"%d",&(vec1[0]));
for(i=1;i<vectorsize;i++){
	fscanf(infile,"\t");
	fscanf(infile,"%d",&(vec1[i]));
}
fscanf(infile,"\n");
fscanf(infile,"%d",&(vec2[0]));
for(i=1;i<vectorsize;i++){
	fscanf(infile,"\t");
	fscanf(infile,"%d",&(vec2[i]));
}
fclose(infile);

//Berechnung
for(i=rank;i<vectorsize;i+=size)
	resvec[i] = vec1[i]*vec2[i];

//Masterprozess, sammelt Ergebnisse ein.
if(rank==0){
	for(i=1;i<size;i++){
		MPI_Recv(vec1,vectorsize,MPI_INT,i,0,MPI_COMM_WORLD,NULL);
		for(j=i;j<vectorsize;j+=size)
			resvec[j] = vec1[j];
	}
	for(i=0;i<vectorsize;i++)
		printf("%d\t",resvec[i]);
	printf("\n");
//Arbeiterprozesse, schicken Ergebnisse
} else {
	MPI_Send(resvec,vectorsize,MPI_INT,0,0,MPI_COMM_WORLD);
}

free(vec1);
free(vec2);
free(resvec);

MPI_Finalize();
}







